ZenMagick 0.9.10


zenmagick.store.admin.mvc\Request
mvc\Request.php at line 30

Class Request

ZMObject
└─ZMRequest
└─Request

public class Request
extends ZMRequest

Admin request wrapper.

Author:
DerManoMann

Method Summary
void

__construct(array parameter)

Create new instance.

int

getCategoryId()

Get the current category id.

string

getCategoryPath()

Get the current category path.

array

getCategoryPathArray()

Get the category path arry.

int

getProductId()

Get the product id.

ZMLanguage

getSelectedLanguage()

Get the selected language.

boolean

handleDemo()

Deal with demo/non-live user.

Methods inherited from org.zenmagick.mvc\ZMRequest
__construct, absoluteURL, closeSession, getContext, getController, getFollowUpUrl, getHostname, getMethod, getParameter, getParameterMap, getPort, getProtocol, getQueryString, getRequestId, getRequestIdKey, getSeoRewriter, getSession, getTemplatePath, getToolbox, getUri, getUser, getWebPath, instance, isSecure, redirect, saveFollowUpUrl, seoDecode, setController, setMethod, setParameter, setParameterMap, setRequestId, setSession, url, validateSessionToken
Methods inherited from org.zenmagick.core\ZMObject
__construct, attachMethod, get, getAttachedMethods, getProperties, getPropertyNames, set, singleton

Method Detail

mvc\Request.php at line 38

__construct

public void __construct(array parameter)

Create new instance.

Parameters:
parameter - Optional request parameter; if null, $_GET and $_POST will be used.

mvc\Request.php at line 121

getCategoryId

public int getCategoryId()

Get the current category id.

Returns:
The current category id or 0.

mvc\Request.php at line 94

getCategoryPath

public string getCategoryPath()

Get the current category path.

Returns:
The category path value (cPath) or null.

mvc\Request.php at line 101

getCategoryPathArray

public array getCategoryPathArray()

Get the category path arry.

Returns:
The current category path broken into an array of category ids.

mvc\Request.php at line 136

getProductId

public int getProductId()

Get the product id.

Returns:
The request product id or 0.

mvc\Request.php at line 62

getSelectedLanguage

public ZMLanguage getSelectedLanguage()

Get the selected language.

Determine the currently active language, with respect to potentially selected language from a dropdown in admin UI.

Returns:
The selected language.

mvc\Request.php at line 80

handleDemo

public boolean handleDemo()

Deal with demo/non-live user.

Will create a message that the requested functionallity is not availale for demo users.

Returns:
true if the current user is a demo user.

ZenMagick 0.9.10